include(FetchContent)

if(NOT DEFINED UTFCPP_REPO)
    set(UTFCPP_REPO https://github.com/nemtrif/utfcpp.git)
endif ()

FetchContent_Declare(
        utfcpp
        EXCLUDE_FROM_ALL
        GIT_REPOSITORY ${UTFCPP_REPO}
        GIT_TAG v4.0.1
        GIT_SHALLOW TRUE
)
set(UTF8_TESTS OFF CACHE BOOL "" FORCE)
set(UTF8_INSTALL OFF CACHE BOOL "" FORCE)
set(UTF8_SAMPLES OFF CACHE BOOL "" FORCE)
FetchContent_MakeAvailable(utfcpp)
